
using Wombat
using Plots

function show_OT()

    path="/Users/jdonnert/data/WENOWombat/2D_OT/"

    clibrary(:colorcet)

    range = [0.15,0.5]

    anim = @animate for i=1:80
    
        println(i)
            
       #fname = path*"TVD-"*itoa(i,4)*"-000"

       #rho, sim = ReadSnap(fname, "RHO")
       #
       #heatmap(rho, layout=3,aspect_ratio=1,ticks=false, c=:fire, clims=range, colorbar=:none)

        fname = path*"TVD_HR-"*itoa(i,4)*"-000"

        rho, sim = ReadSnap(fname, "RHO")
        
        heatmap!(rho,layout=2,aspect_ratio=1,ticks=false, c=:fire, clims=range, colorbar=:none)

        fname = path*"WENO-"*itoa(i,4)*"-000"

        rho, sim = ReadSnap(fname, "RHO")
        
        heatmap!(rho,subplot=3,aspect_ratio=1,ticks=false, c=:fire, clims=range, colorbar=:none)


    end

    mp4(anim, "/Users/jdonnert/Desktop/OT.mp4", fps=15)

end

function slice_OT()
    
    anim = @animate for i=0:100

        println(i)

        fname = path*"TVD-"*itoa(i,4)*"-000"

        rho, sim = ReadSnap(fname, "RHO")
        x = MakeZonePos(sim)

        scatter(x,rho, layout=1, ylim=[1,4.5] , yguide="Rho",size=(1024,1024/1.4))

    end


end

using Wombat
using Plots

function test()

    anim = @animate for i =1:20

        fin ="./WENO-"*itoa(i,4)*"-000"
        rho, sim = ReadSnap(fin, "RHO")

        heatmap(rho, aspect_ratio=1, size=(512,512))
    end

    mp4(anim, "/Users/jdonnert/Desktop/test.mp4")

end
