#!/bin/bash

# Entropy 
../wombat/wombat_athena_suite par/entropy_8.par    &> log/entr_8.log 
../wombat/wombat_athena_suite par/entropy_16.par   &> log/entr_16.log
../wombat/wombat_athena_suite par/entropy_32.par   &> log/entr_32.log
../wombat/wombat_athena_suite par/entropy_64.par   &> log/entr_64.log
../wombat/wombat_athena_suite par/entropy_128.par  &> log/entr_128.log
../wombat/wombat_athena_suite par/entropy_256.par  &> log/entr_256.log
../wombat/wombat_athena_suite par/entropy_512.par  &> log/entr_512.log
../wombat/wombat_athena_suite par/entropy_1024.par &> log/entr_1024.log

# Sound
../wombat/wombat_athena_suite par/sound_8.par    &> log/sound_8.log 
../wombat/wombat_athena_suite par/sound_16.par   &> log/sound_16.log
../wombat/wombat_athena_suite par/sound_32.par   &> log/sound_32.log
../wombat/wombat_athena_suite par/sound_64.par   &> log/sound_64.log
../wombat/wombat_athena_suite par/sound_128.par  &> log/sound_128.log
../wombat/wombat_athena_suite par/sound_256.par  &> log/sound_256.log
../wombat/wombat_athena_suite par/sound_512.par  &> log/sound_512.log
../wombat/wombat_athena_suite par/sound_1024.par &> log/sound_1024.log

# vy cont
../wombat/wombat_athena_suite par/vy_8.par    &> log/vy_8.log 
../wombat/wombat_athena_suite par/vy_16.par   &> log/vy_16.log
../wombat/wombat_athena_suite par/vy_32.par   &> log/vy_32.log
../wombat/wombat_athena_suite par/vy_64.par   &> log/vy_64.log
../wombat/wombat_athena_suite par/vy_128.par  &> log/vy_128.log
../wombat/wombat_athena_suite par/vy_256.par  &> log/vy_256.log
../wombat/wombat_athena_suite par/vy_512.par  &> log/vy_512.log
../wombat/wombat_athena_suite par/vy_1024.par &> log/vy_1024.log

# vz con
../wombat/wombat_athena_suite par/vz_8.par    &> log/vz_8.log 
../wombat/wombat_athena_suite par/vz_16.par   &> log/vz_16.log
../wombat/wombat_athena_suite par/vz_32.par   &> log/vz_32.log
../wombat/wombat_athena_suite par/vz_64.par   &> log/vz_64.log
../wombat/wombat_athena_suite par/vz_128.par  &> log/vz_128.log
../wombat/wombat_athena_suite par/vz_256.par  &> log/vz_256.log
../wombat/wombat_athena_suite par/vz_512.par  &> log/vz_512.log
../wombat/wombat_athena_suite par/vz_1024.par &> log/vz_1024.log

# Alfven
../wombat/wombat_athena_suite par/alfven_8.par    &> log/alfven_8.log 
../wombat/wombat_athena_suite par/alfven_16.par   &> log/alfven_16.log
../wombat/wombat_athena_suite par/alfven_32.par   &> log/alfven_32.log
../wombat/wombat_athena_suite par/alfven_64.par   &> log/alfven_64.log
../wombat/wombat_athena_suite par/alfven_128.par  &> log/alfven_128.log
../wombat/wombat_athena_suite par/alfven_256.par  &> log/alfven_256.log
../wombat/wombat_athena_suite par/alfven_512.par  &> log/alfven_512.log
../wombat/wombat_athena_suite par/alfven_1024.par &> log/alfven_1024.log

# MHD En
../wombat/wombat_athena_suite par/bentropy_8.par    &> log/bentropy_8.log 
../wombat/wombat_athena_suite par/bentropy_16.par   &> log/bentropy_16.log
../wombat/wombat_athena_suite par/bentropy_32.par   &> log/bentropy_32.log
../wombat/wombat_athena_suite par/bentropy_64.par   &> log/bentropy_64.log
../wombat/wombat_athena_suite par/bentropy_128.par  &> log/bentropy_128.log
../wombat/wombat_athena_suite par/bentropy_256.par  &> log/bentropy_256.log
../wombat/wombat_athena_suite par/bentropy_512.par  &> log/bentropy_512.log
../wombat/wombat_athena_suite par/bentropy_1024.par &> log/bentropy_1024.log

# Fast 
../wombat/wombat_athena_suite par/fast_8.par    &> log/fast_8.log 
../wombat/wombat_athena_suite par/fast_16.par   &> log/fast_16.log
../wombat/wombat_athena_suite par/fast_32.par   &> log/fast_32.log
../wombat/wombat_athena_suite par/fast_64.par   &> log/fast_64.log
../wombat/wombat_athena_suite par/fast_128.par  &> log/fast_128.log
../wombat/wombat_athena_suite par/fast_256.par  &> log/fast_256.log
../wombat/wombat_athena_suite par/fast_512.par  &> log/fast_512.log
../wombat/wombat_athena_suite par/fast_1024.par &> log/fast_1024.log

# Slow
../wombat/wombat_athena_suite par/slow_8.par    &> log/slow_8.log 
../wombat/wombat_athena_suite par/slow_16.par   &> log/slow_16.log
../wombat/wombat_athena_suite par/slow_32.par   &> log/slow_32.log
../wombat/wombat_athena_suite par/slow_64.par   &> log/slow_64.log
../wombat/wombat_athena_suite par/slow_128.par  &> log/slow_128.log
../wombat/wombat_athena_suite par/slow_256.par  &> log/slow_256.log
../wombat/wombat_athena_suite par/slow_512.par  &> log/slow_512.log
../wombat/wombat_athena_suite par/slow_1024.par &> log/slow_1024.log
